/* Media Screen px Queries

0   -   600px     : phone
600 -   900px     :tablet portrait
900 -   1200px    :tablet landscape

1200-   1800px    :desktop

1800px -->        : xl desktop

1em=16px

*/
@media screen and (max-width: 600px) {
  html {
    font-size: 40%;
  }
  html .gallery {
    grid-template-columns: auto;
  }
}
@media screen and (min-width: 600px) and (max-width: 900px) {
  html {
    font-size: 50%;
  }
  html .gallery {
    grid-template-columns: auto auto auto;
  }
}
@media screen and (min-width: 900px) and (max-width: 1200px) {
  html {
    font-size: 60%;
  }
  html .gallery {
    grid-template-columns: auto auto auto;
  }
}
@media screen and (min-width: 1800px) {
  html {
    font-size: 70%;
  }
}

*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
  text-decoration: none;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  box-sizing: border-box;
  background-color: #fff8da;
}

.container > div > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  overflow: hidden;
  border: solid 0.1rem;
  border-color: #742828;
  border-radius: 0.5rem;
  box-shadow: 0 0.2em 0.5rem #742828;
  cursor: pointer;
  transition: 0.3s;
}

.container > div > img:hover {
  opacity: 0.7;
}

figcaption {
  position: relative;
  margin-top: -200px;
  text-align: center;
  padding: 2em;
  color: #fff;
  text-transform: uppercase;
  font-size: 1.1em;
}

body {
  font-family: "Sofia", cursive;
  font-weight: 400;
  line-height: 1.5;
  color: rgb(116, 40, 40);
}

.heading1 {
  text-align: center;
  backface-visibility: hidden;
  margin-bottom: 5rem;
}
.heading1--Main {
  display: block;
  font-size: 7rem;
  font-weight: 900;
  letter-spacing: 1.1rem;
}
.heading1--Divi {
  display: block;
  font-size: 5rem;
  font-weight: 400;
  letter-spacing: 0.7rem;
}
.heading1--Sub {
  display: block;
  font-family: "quicksand", sans-serif;
  font-size: 2.5rem;
  font-weight: 500;
  letter-spacing: 0.7rem;
}

.heading2 {
  text-align: center;
  backface-visibility: hidden;
  margin-bottom: 5rem;
}
.heading2--Main {
  display: block;
  font-size: 8rem;
  font-weight: 900;
  letter-spacing: 1.5rem;
}

.gallery .img figcaption {
  font-family: "Quicksand", sans-serif;
}

.footer {
  font-family: "Quicksand", sans-serif;
  font-weight: 400;
}

/*--------- hidden reader nav ----------*/
.jumpToMain {
  position: absolute;
  left: 0.5rem;
  background: black;
  padding: 0.5rem 1.5rem;
  border-radius: 0 0 0.5rem 0.5rem;
  transform: translateY(-120%);
  transition: transform 350ms ease-in;
}

.jumpToMain:focus {
  transform: translateY(0);
}

/*--------- hidden reader nav ----------*/
.hero {
  height: 100vh;
  background-image: url(../images/bg.jpg);
  background-size: cover;
  background-position: center;
  position: relative;
  clip-path: polygon(0 0, 100% 0, 100% 97vh, 0 100%);
}
.hero__base {
  position: absolute;
  left: 0;
  bottom: 7.4rem;
  width: auto;
  height: 7.5rem;
  background: url(../images/HeroBase.svg) no-repeat center bottom/110% auto;
  z-index: 2;
}
.hero__headingBox {
  color: #ccc1c1;
  position: absolute;
  top: 30%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 70vw;
  text-align: center;
}

.divide {
  position: relative;
  margin: 0;
  padding: 0;
  border-radius: 5px;
  background-color: rgba(116, 40, 40, 0.3647058824);
  text-align: center;
  align-content: center;
}

.container {
  padding: 5rem 1rem;
  display: grid;
  grid-gap: 0.75rem;
  grid-template-columns: repeat(auto-fit, minmax(22.5rem, 1fr));
  grid-auto-rows: 15rem;
  grid-auto-flow: dense;
}

.landscape {
  grid-column: span 2;
  grid-row: span 2;
}

.portrait {
  grid-row: span 2;
}

@media screen and (max-width: 600px) {
  .container {
    flex: 100%;
    max-width: 100%;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
  }
  .landscape {
    grid-row: span 1;
    grid-column: span 1;
  }
}
/* Style the Modal */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.9);
}

/* Style the Close Button */
.close {
  color: white;
  font-size: 24px;
  position: absolute;
  top: 15px;
  right: 15px;
  cursor: pointer;
}

/* Style the Modal Content (Image) */
.modal-content {
  max-width: 100%;
  max-height: 100%;
  width: 80%;
  margin: auto;
  display: block;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.footer {
  color: #fff;
  position: relative;
  margin: 0;
  padding: 1rem 0;
  border-radius: 5px;
  font-size: 1.8rem;
  background-color: #742828;
  text-align: center;
  align-content: center;
}

.footer a {
  color: #888484;
  text-align: center;
  text-transform: capitalize;
}

.footer a:hover {
  color: #fff;
}

.footer ul {
  display: inline-block;
  margin: 0;
  overflow: hidden;
  padding: 0;
}

.footer ul li {
  float: left;
  list-style: none;
  margin: 0 0 0 24px;
  padding: 0;
}

.footer ul li.selected a {
  color: #fff;
}

.footer section {
  display: grid;
  place-items: center;
}

/*--------- hidden reader nav ----------*/
.jumpToMain {
  position: absolute;
  left: 0.5rem;
  background: black;
  padding: 0.5rem 1.5rem;
  border-radius: 0 0 0.5rem 0.5rem;
  transform: translateY(-120%);
  transition: transform 350ms ease-in;
}

.jumpToMain:focus {
  transform: translateY(0);
}

/*--------- hidden reader nav ----------*/
.hero {
  min-height: 100vh;
  background-image: url(../assets/images/bg.jpg);
  background-size: cover;
  background-position: center;
  position: relative;
  clip-path: polygon(0 0, 100% 0, 100% 97vh, 0 100%);
}
.hero__headingBox {
  color: #ccc1c1;
  position: absolute;
  top: 30%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 70vw;
  text-align: center;
}
